import request from '@/utils/request'

// 查询计量设备阈值维护列表
export function listBaseMonitorThreshold(query) {
  return request({
    url: '/ems/base/baseMonitorThreshold/list',
    method: 'get',
    params: query
  })
}

// 查询计量设备阈值维护详细
export function getBaseMonitorThreshold(objId) {
  return request({
    url: '/ems/base/baseMonitorThreshold/' + objId,
    method: 'get'
  })
}

// 新增计量设备阈值维护
export function addBaseMonitorThreshold(data) {
  return request({
    url: '/ems/base/baseMonitorThreshold',
    method: 'post',
    data: data
  })
}

// 修改计量设备阈值维护
export function updateBaseMonitorThreshold(data) {
  return request({
    url: '/ems/base/baseMonitorThreshold',
    method: 'put',
    data: data
  })
}

// 删除计量设备阈值维护
export function delBaseMonitorThreshold(objId) {
  return request({
    url: '/ems/base/baseMonitorThreshold/' + objId,
    method: 'delete'
  })
}
